#!/bin/bash
##########################################
# File Name:06_check_multi_users.sh
# Version:V1.0
# Author:zhangpeng
# 0rganization:linuxjk.cn
# Desc:案例06：执行脚本输入1个或多个用户名通过脚本进行输出 (检查这些用户是否存在)
###########################################
#1.vars
names="$@"

#2.检查脚本参数个数是否为0（输入是否为空），如果输入为空则退出
if [ $# -eq 0 ];then
	echo "please check your input"
	echo "help: sh  $0 user..."
	exit 1
fi

#3.for
for i in ${names}
do
	#用id命令检查用户是否存在
	id ${i} &>/dev/null
if [ $? -eq 0 ]
then
	id ${i}
else
	echo "$i is not exist"
fi
done
